New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Added error if needed runtime dependency is a devDependency #384

Merged
merged 3 commits into from May 3, 2018

Conversation

Projects
None yet
1 participant
@HyperBrain
Copy link
Member

HyperBrain commented May 2, 2018

What did you implement:

Relates to #383, #369 (comment), #230

This PR introduces better error handling for the case that a runtime dependency detected by Webpack is only found in devDependencies and would lead to an Unable to import module error when deployed.
If the detected module is forcefully excluded it will, however, succeed.

How did you implement it:

Added a check for devDependencies in the production module loop.

How can we verify it:

Move a needed dependency to devDependencies. It should error out as long as the dependency is not forcefully excluded.

Todos:

  • Write tests
  • Write documentation
  • Fix linting errors
  • Make sure code coverage hasn't dropped
  • Provide verification config / commands / resources
  • Enable "Allow edits from maintainers" for this PR
  • Update the messages below

Is this ready for review?: YES
Is it a breaking change?: NO

@HyperBrain HyperBrain added this to the 5.1.4 milestone May 2, 2018

HyperBrain added some commits May 3, 2018

@HyperBrain HyperBrain merged commit f32272a into master May 3, 2018

5 checks passed

continuous-integration/appveyor/branch AppVeyor build succeeded
Details
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
continuous-integration/travis-ci/push The Travis CI build passed
Details
coverage/coveralls Coverage increased (+0.09%) to 93.014%
Details

@HyperBrain HyperBrain deleted the improvement/better-missing-dep-errors branch May 3, 2018

@HyperBrain

This comment has been minimized.

Copy link
Member Author

HyperBrain commented May 4, 2018

Released with 5.1.5

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment